# Installation
> `npm install --save @types/react-virtual-keyboard`

# Summary
This package contains type definitions for react-virtual-keyboard (https://github.com/utzel-butzel/react-virtual-keyboard).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-virtual-keyboard.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-virtual-keyboard/index.d.ts)
````ts
import { Component } from "react";
import { KeyboardOptions, NavigateOptions } from "virtual-keyboard";

export interface ReactKeyboardOptions extends KeyboardOptions {
    accepted?: undefined; // You should use KeyboardProps.onAccepted event.
}

export type kbEvents = (event?: string | Event, keyboard?: Element, el?: Element) => void;

export interface KeyboardProps {
    name?: string | undefined;
    value?: string | undefined;
    options?: ReactKeyboardOptions | undefined;
    onAccepted?: kbEvents | undefined;
    onChange?: kbEvents | undefined;
    callbackParent?: kbEvents | undefined;
    placeholder?: string | undefined;
}

export interface KeyboardState {
    value: string;
    className: string;
}

export default class Keyboard extends Component<KeyboardProps, KeyboardState> {}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react), [@types/virtual-keyboard](https://npmjs.com/package/@types/virtual-keyboard)

# Credits
These definitions were written by [Bogdan Surai](https://github.com/bsurai).
